GAME_AREA_CHANEL_ID = "ypjs"

--[[
local initconnection = require("debugger")
--host, port, idekey, transport, executionplatform, workingdirectory
initconnection(nil,10000,nil,nil,nil,"/usr/hzp")
--]]
local GAME_FULL_PACKAGE_CODE = 97155
local ccfile=CCFileUtils:sharedFileUtils()
local ccuserdefault=CCUserDefault:sharedUserDefault()
local reswp=ccfile:getWritablePath()
local lfs = require("lfs")
function __G__TRACKBACK__(errorMessage)
CCLuaLog("----------------------------------------")
CCLuaLog("LUA ERROR: "..tostring(errorMessage).."\n")
CCLuaLog(debug.traceback("", 2))
CCLuaLog("----------------------------------------")

if OPEN_ERROR_LOG then
local tLogData = {}
table.insert(tLogData, "-------------------------------------------")
table.insert(tLogData, os.date())
table.insert(tLogData, tostring(errorMessage))
table.insert(tLogData, debug.traceback("", 2))
table.insert(tLogData, "-------------------------------------------")

local filePath = reswp.."errorLog/"
if not ccfile:isFileExist(filePath) then
lfs.mkdir(filePath)
end
filePath = filePath.."whj_log.txt"
local file = io.open(filePath,"a")
file:write(table.concat(tLogData, "\n"))
file:flush()
file:close()
end
end

local target=CCApplication:sharedApplication():getTargetPlatform()
local function removeDir (path)
if target==kTargetWindows or target==kTargetMacOS then return end
if not ccfile:isFileExist(path) then return end
for file in lfs.dir(path) do
if file ~= "." and file ~= ".." then
local f = path..'/'..file
local attr = lfs.attributes (f)
assert (type(attr) == "table")
if attr.mode == "directory" then
removeDir(f)
--print ("删除文件夹:\t "..f)
os.remove(f)
else
--print ("删除文件:\t "..f)
os.remove(f)
--                for name, value in pairs(attr) do
--                    print (name, value)
--                end
end
end
end
end
if CCLuaLoadChunksFromZIP then
CCLuaLoadChunksFromZip = CCLuaLoadChunksFromZIP
end
--if ccfile:isFileExist(reswp.."res/framework_precompiled.zip") then
if target==kTargetAndroid or target==kTargetIphone or target==kTargetIpad then
print(string.format("检测根目录 path=%s",reswp.."res"))
local currentVersion = ccuserdefault:getStringForKey("current-version-code")
if currentVersion ~= nil and string.len(currentVersion)>0 then
currentVersion=tonumber(string.sub(currentVersion,8,-1))
if GAME_FULL_PACKAGE_CODE > currentVersion then
print("存在旧的更新代码!!!!")
removeDir(reswp.."res")
removeDir(reswp.."scripts")
ccuserdefault:setStringForKey("current-version-code","version"..GAME_FULL_PACKAGE_CODE)
ccuserdefault:setBoolForKey("key_extendPackage", false)
ccuserdefault:flush()
end
else
removeDir(reswp.."res")
removeDir(reswp.."scripts")
ccuserdefault:setStringForKey("current-version-code","version"..GAME_FULL_PACKAGE_CODE)
ccuserdefault:flush()
end
end

if  ccfile:isFileExist(reswp.."res/framework_precompiled.zip") then
CCLuaLoadChunksFromZip(reswp.."res/framework_precompiled.zip")
--else
--	CCLuaLoadChunksFromZip("res/framework_precompiled.zip")
end

if  ccfile:isFileExist(reswp.."res/framework_precompiled_youai.zip") then
CCLuaLoadChunksFromZip(reswp.."res/framework_precompiled_youai.zip")
else
CCLuaLoadChunksFromZip("res/framework_precompiled_youai.zip")
end

--if  ccfile:isFileExist(reswp.."res/preload.zip") then
--CCLuaLoadChunksFromZip(reswp.."res/preload.zip")
--CCLuaLoadChunksFromZip(reswp.."res/game.zip")
--else
--CCLuaLoadChunksFromZip("res/preload.zip")
--CCLuaLoadChunksFromZip("res/game.zip")
--end

CCFileUtils:sharedFileUtils():addSearchPath(reswp.."scripts/")
CCFileUtils:sharedFileUtils():addSearchPath(reswp.."res/")
CCFileUtils:sharedFileUtils():addSearchPath("res/")


FN_GameConfig = {}
FN_DeviceInfo = {}

xpcall( function ()
require("preload.game")
CCLuaLog("xpcall,开始游戏")
game.startup()
--game.enterMainScene()
end, __G__TRACKBACK__)
